<?php 

  require 'mysqlvars.php';
  require 'lib/form_functions.php';
  require 'lib/db.php';
  require 'lib/misc.php';
  require 'lib/stats.php';
  
  session_cache_limiter('none'); 

  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

  require 'init.php';

  log_user('');

  $currYear = date('Y');

  $language = $APP->default_language;
  if (isset($_COOKIE['language'])) {
    if (!preg_match ("/\\.|\\//",  $_COOKIE['language']) && (file_exists('languages/' . $_COOKIE['language'] . '.php'))) {
      $language = $_COOKIE['language'];
      
    }
  }
  require "languages/$language.php";

  // if cookie present - authenticate
  if (isset($_COOKIE['member'])) {
    if (authCookie($_COOKIE['member'], $APP->key)) {
      // get login details
      $data = unserialize(base64_decode($_COOKIE['member']));
      //print_r($data);
      $username = stripData($data[0]);
      $password = stripData($data[1]);
    }

  }

  if (isset($_COOKIE['design'])) {
    if (authCookie($_COOKIE['design'], $APP->key)) {
            $data = unserialize(base64_decode($_COOKIE['design']));
      $background = stripData($data[0]);
      $window_bar = stripData($data[1]);
      $whois_bar = stripData($data[2]);
    }

  }

  unset($error);

  $banner_directory = $APP->home_dir . '/' . $APP->site_banner_location;
 


?>

<html>
<head>
<title><?php echo $APP->name ?></title>
<link href="styles/style.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
body {
	background-image: url();
}
.style4 {
	color: #990000;
	font-weight: bold;
}
.style10 {font-weight: bold}
.style9 {font-size: 12px}
-->
</style></head>

<body>
<table width="581" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td class="smallprint" style="text-align:center;font-weight:bold;padding:10px"><?php echo DOWNLOAD_OUR_BANNER ?></td>
  </tr>
  <?php 
    $dh = opendir($banner_directory);
    $banners_exist = false;
    while (($file = readdir($dh)) !== false) {
      if (eregi("^(.+)\\.(gif|jpg|png)$", $file, $regs)) {
        $bnr = $file;
        echo "<tr><td style=\"text-align:center;padding:10px\"><img src=\"$APP->url/$APP->site_banner_location/$bnr\"></td></tr>";
        $banners_exist = true;
      }
    }
    closedir($dh);
      
    if (!$banners_exist) {
      echo '<tr><td>' . MSG_NO_banners . '</td></tr>';
    } 
     
  ?>
 
</table>
</body>
</html>
