<?php


/* members/search.php
 * Version: 1.0
 * Date: 12/1/05
 *
 */ 


  require '../lib/form_functions.php';
  require '../lib/db.php';
  require '../mysqlvars.php';
  require '../lib/auth.php';
  require '../lib/misc.php';
  require 'includes/session.php';

  
  
  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }
  
  require 'includes/secure_page.php';

  require '../init.php';


  require '../languages/' . $_SESSION['language'] . '.php';
  require '../languages/member_info_' . $_SESSION['language'] . '.php';
  require '../includes/member_info.php';
  
  updateLastSeen();

  if (isset($_COOKIE['design'])) {
    if (authCookie($_COOKIE['design'], $APP->key)) {
            $data = unserialize(base64_decode($_COOKIE['design']));
      $background = stripData($data[0]);
      $window_bar = stripData($data[1]);
      $whois_bar = stripData($data[2]);
    }

  }
  //print_r($_GET);
  $member_inf = array('relationship', 'looks', 'body_type', 'race', 'religion', 'education', 'occupation', 'eye_colour', 'hair_colour', 'describe_yourself', 'sense_humour', 'passionate', 'romantic', 'going_out', 'living_quarters', 'cooking', 'trendy', 'shopping', 'music', 'movies', 'food', 'indoor_activity', 'outdoor_activity', 'time_year', 'getaway');
  $member_inf_range = array('height', 'weight');
  
  
  $image_directory = $APP->home_dir . '/' . $APP->member_image_location;
  $image_url = $APP->url . '/' . $APP->member_image_location;
  $noRecords = 0;
  $recordsPerPage = 10;
  $pagesInList = 10;
  $page = isset($_GET['page']) ? $_GET['page'] : 1;
  $page = is_numeric($page) ? $page : 1;

  $username = isset($_GET['username']) ? stripData($_GET['username']) : '';
  $distance = isset($_GET['distance']) ? stripData($_GET['distance']) : '';
  $keyword = isset($_GET['keyword']) ? stripData($_GET['keyword']) : '';
  $age_start = isset($_GET['age_start']) ? stripData($_GET['age_start']) : '';
  $age_end = isset($_GET['age_end']) ? stripData($_GET['age_end']) : '';
  $photos = isset($_GET['photos']) ? 1 : 0;
  $status = isset($_GET['status']) ? $_GET['status'] : 0;
  $gender = isset($_GET['gender']) ? stripData($_GET['gender']) : '';
  $country = isset($_GET['country']) ? stripData($_GET['country']) : '';
  $city = isset($_GET['city']) ? stripData($_GET['city']) : '';
  $last_active = isset($_GET['last_active']) ? stripData($_GET['last_active']) : '';
  $looking_for = isset($_GET['looking_for']) ? stripData($_GET['looking_for']) : '';
  
  
  $query = "SELECT distinct member.*, height, who, eye_colour, hair_colour, looking_for, (YEAR(CURDATE())-YEAR(d_o_b)) - (RIGHT(CURDATE(),5) < RIGHT(d_o_b,5)) AS age, DATE_FORMAT(registered_on, '%M %d %Y') as registered_on,DATE_FORMAT(d_o_b, '%M %d %Y') as d_o_b, unix_timestamp() - unix_timestamp(last_seen) <= $APP->refresh_rate as online, city, state, country.country FROM member LEFT JOIN member_info using (username) LEFT JOIN country ON member.country = country.country_code WHERE active = 1";
  
  if ($username != '') {
    $query .= " and member.username LIKE '" . str_replace ('*', '%', addslashes($username)) . "' ";
  }
  
  if ($keyword != '') {
    $query .= " and personal_ad LIKE '%" . addslashes($keyword) . "%' ";
  }
  if ($age_start != '' && $age_start != '18') {
    $query .= " and (YEAR(CURDATE())-YEAR(d_o_b)) - (RIGHT(CURDATE(),5) < RIGHT(d_o_b,5)) >= $age_start";
  }
  if ($age_end != '' && $age_end != '99') {
    $query .= " and (YEAR(CURDATE())-YEAR(d_o_b)) - (RIGHT(CURDATE(),5) < RIGHT(d_o_b,5)) <= $age_end";
  }
  if ($photos == 1) {
    $query .= " AND image_id IS NOT NULL";
  }
  if ($status == 3) {
    $query .= " AND d_o_b = CURDATE()";
  }
  
  else if ($status == 2) {
    $query .= " and registered_on > DATE_SUB(CURDATE(), INTERVAL 14 DAY)";
  }
  else if ($status == 1) {
    $query .= "  and (unix_timestamp() - unix_timestamp(last_seen) <= $APP->refresh_rate)";
  }
  
  if ($country != '') {
    $query .= " and country = '$country'";
  }
  if ($looking_for != '') {
    $query .= " and looking_for = '$looking_for'";
  }
  if ($city != '') {
    $query .= " and city = '$city'";
  }
  if ($distance != '' and ($city == '' and $country == '')) {
    $query .= " and ((acos(sin(" . $_SESSION['latitude'] . " * (pi()/180)) * sin(member.latitude * (pi()/180)) + cos(" . $_SESSION['latitude'] . " * (pi()/180)) * cos(member.latitude * (pi()/180)) * cos((member.longitude * (pi()/180)) - (" . $_SESSION['longitude'] . " * (pi()/180))))) * (180/pi())) * 60 * 1.852 <= '$distance' or (member.latitude = " . $_SESSION['latitude'] . " and member.longitude = " . $_SESSION['longitude'] . ")";
  }
  foreach($member_inf as $info) {
    if (isset($_GET[$info])) {
      if (is_array($_GET[$info])) {
        $query .= " and (";
        $first = true;
        foreach($_GET[$info] as $inf) {
          $query .= !$first ? ' or ' : '';
          $query .= "$info = '$inf'";
          $first = false;
        }
        $query .= ")"; 

    
      }
      else {
        $query .= " and $info = '" . $_GET[$info] . "'";
      }

    }
  }

  if (isset($_GET['love_activity'])) {
    if (is_array($_GET['love_activity'])) {
      $query .= " and (";
      $first = true;
      foreach($_GET['love_activity'] as $inf) {
        $query .= !$first ? ' or ' : '';
        $query .= "$inf IN (love_activity)";
        $first = false;
      }
      $query .= ")"; 

   
    }
    else {
      $query .= " and $info = '" . $_GET['love_activity'] . "'";
    }

  }
  if (isset($_GET['language'])) {
    if (is_array($_GET['language'])) {
      $query .= " and (";
      $first = true;
      foreach($_GET['language'] as $inf) {
        $query .= !$first ? ' or ' : '';
        $query .= "(language_1 = '$inf' or language_2 = '$inf' or language_3 = '$inf')";
        $first = false;
      }
      $query .= ")"; 
   
    }
    else {
      $query .= " and (language_1 = '" . $_GET['language'] . "' or language_2 = '" . $_GET['language'] . "' or language_3 = '" . $_GET['language'] . "')";
    }

  }
  foreach($member_inf_range as $info) {
    if (isset($_GET["to_$info"])) {
      $query .= " and $info <= '" . $_GET["to_$info"] . "'";
    }
    if (isset($_GET["from_$info"])) {
      $query .= " and $info >= '" . $_GET["from_$info"] . "'";
    }

  }
  if ($last_active != '') {
    $last = $last_active * 24 * 60 * 60;
    $query .= " and (unix_timestamp() - unix_timestamp(last_seen) <= '$last')";
  }
  if (isset($_GET['drink'])) {
    $query .=  $_GET['drink'] > 0 ? ($_GET['drink'] == 1 ? ' and (drinker = 1 or drinker = 3 or drinker = 4 or drinker = 5)' : ' and (drinker = 2 or drinker = 6 or drinker = 7 or drinker = 8)') : '';

  }
  if (isset($_GET['smoke'])) {
    $query .=  $_GET['smoke'] > 0 ? ($_GET['smoke'] == 1 ? ' and (smoker = 1 or smoker = 3 or smoker = 4 or smoker = 8)' : ' and (smoker = 2 or smoker = 5 or smoker = 6 or smoker = 7)') : '';

  }
  if (isset($_GET['children'])) {
    $query .=  $_GET['children'] > 0 ? ($_GET['children'] == 1 ? ' and children = 4' : ' and (children = 1 or children = 2 or children = 3 or children = 5)') : '';

  }

  
    
  $query .= " order by member.username = '" . addslashes($_SESSION['user_id']) . " DESC', member.country = '" . $_SESSION['country'] . "'";
  //print $query;
  $result = mysql_query($query);
  if ($result) {
    $noRecords = mysql_num_rows($result);
  }
  else { 
    $error = mysql_error(); 
  }
  if ($noRecords > 0 && !isset($error)) {
    $recNo = (($page - 1) * $recordsPerPage) < $noRecords ? ($page - 1) * $recordsPerPage : 0;
    mysql_data_seek($result, $recNo);
  }
  else {
    $error = SEARCH_NO_MEMBERS;
  }

?> 
<html>

<head>
<title><?php echo $APP->name ?></title>
<META HTTP-EQUIV="PRAGMA" CONTENT="NOCACHE">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../styles/style.css" rel="stylesheet" type="text/css">
<?php include '../includes/dynamic_background.php' ?>
<style type="text/css">
<!--
.style6 {color: #FFFFFF;font-size:11px;font-family: tahoma}


td { FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif }


-->
</style>
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
function popitup(url, name)
{
	newwindow=window.open(url, name,'height=493,width=400');
	if (window.focus) {newwindow.focus()}
	return false;
}

// -->
</SCRIPT>
</head>
<BODY leftMargin=0
topMargin=0 MARGINWIDTH="0" MARGINHEIGHT="0">


<table border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#000000">
  <tr>
    <td><table border="0" bgcolor="#FFFFFF">
        <tr>
          <td width="709" height="623" valign="top"><div align="center"><br>
                  <table width="688" border="0" align="center" cellpadding="0" cellspacing="0">
                    <tr>
                      <td width="152" valign="top"><table border="0" cellpadding="0" cellspacing="1" bgcolor="#666666">
                          <tr>
                            <form method="get" action="<?php echo $_SERVER['PHP_SELF'] ?>">
                              <td><?php include 'includes/search_form.php' ?></td>
                            </form>
                          </tr>
                        </table>
                          <div align="center"> <br>
                              <table border="0" cellpadding="0" cellspacing="1" bgcolor="#666666">
                                <tr>
                                  <td><table width="139" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                                      <tr>
                                        <form method="get" action="<?php echo $_SERVER['PHP_SELF'] ?>">
                                          <td width="160" valign="top"><?php include 'includes/username_search_form.php' ?></td>
                                        </form>
                                      </tr>
                                  </table></td>
                                </tr>
                              </table>
                              <br>
                              <img src="../images/<?php echo $_SESSION['language'] ?>/invite.gif" width="148" height="104" border="0" usemap="#Map2Map"><br>
                              <br>
                              <img src="../images/<?php echo $_SESSION['language'] ?>/most-popular.gif" width="148" height="132" border="0" usemap="#MapMap">
                              <map name="MapMap">
                                <area shape="rect" coords="19,43,68,113" href="top_members.php?gender=1">
                                <area shape="rect" coords="82,42,131,112" href="top_members.php?gender=3">
                              </map>
                              <map name="Map2Map">
                                <area shape="rect" coords="2,4,145,99" href="invite_friends.php">
                              </map>
                        </div></td>
                      <td width="3">&nbsp;</td>
                      <td width="533" valign="top"><table width="518" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="17"><img src="../images/Windows_bars/<?php echo $window_bar ?>" width="17" height="18"></td>
                            <td width="*" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3"><?php switch ($status) {
                          case '0': echo ALL . ' ' . MEMBERS;
                                    break;
                          case '1': echo ONLINE . ' ' . MEMBERS;
                                    break;
                          case '2': echo NNEW . ' ' . MEMBERS;
                                    break;
                          case '3': echo BIRTHDAY . ' ' . MEMBERS;
                                    break;
                        } ?></td>
                            <td width="11" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>"><div align="right"><img src="../images/Windows_bars/<?php echo str_replace('-1.', '-3.', $window_bar) ?>" width="4" height="18"></div></td>
                          </tr>
                        </table>
                          <br>
                          <?php if ($noRecords > 0) { ?>
                          <table width="100%">
                            <tr>
                              <td class="smallprint" align="left" style="padding-left:10px"><b><?php echo $noRecords ?></b> <?php echo MATCH_YOUR_SEARCH4 ?></td>
                            </tr>
                            <tr>
                              <td align="center"><?php echo PAGE ?>:
                                  <?php
          $noPages = intval(($noRecords + $recordsPerPage - 1)/ $recordsPerPage);
          $startPage = $page - (($page - 1) % $pagesInList);
          $endPage = $startPage + $pagesInList;
          $previousPage = $startPage - 1;
          if ($startPage > $pagesInList) { ?>
                                  <a style="color: #000000;FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif" href="<?php echo $_SERVER['PHP_SELF'] . '?' . "page=$previousPage&" . ereg_replace("page=[[:digit:]]*&", '', $_SERVER['QUERY_STRING']) ?>">&lt;&lt;</a>&nbsp;
                                  <?php }
          for ($i = $startPage; ($i < $endPage) && ($i < ($noPages + 1)); $i++) {
            if ($page == $i) {
              echo '<span style="color: #FF9933;FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif"> ' . $i . '</span>&nbsp;';
            } else { ?>
                                  <a style="color: #000000;FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif" href="<?php echo $_SERVER['PHP_SELF'] . '?' . "page=$i&" . ereg_replace("page=[[:digit:]]*&", '', $_SERVER['QUERY_STRING']) ?>"><?php echo $i ?></a>&nbsp;
                                  <?php }
          }
          if ($i <= $noPages) { ?>
                                  <a style="color: #000000;FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif" href="<?php echo $_SERVER['PHP_SELF'] . '?' . "page=$endPage&" . ereg_replace("page=[[:digit:]]*&", '', $_SERVER['QUERY_STRING']) ?>">&gt;&gt;</a>&nbsp;
                                  <?php }
          ?>
                              </td>
                            </tr>
                          </table>
                          <br />
                          <?php } ?>
                          <?php if (isset($error)) { ?>
                          <table align="center">
                            <tr>
                              <td class="error"><?php echo $error ?></td>
                            </tr>
                          </table>
                          <?php } ?>
                          <?php if ($noRecords > 0 && !isset($error)) { ?>
                          <?php if ($frow = mysql_fetch_array($result)) {
                          $rows = 0;
                          do { ?>
                          <table border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td><table height="127" width="506" border="0" cellpadding="0" cellspacing="0" background="../images/Whois_bars/<?php echo $whois_bar ?>">
                                  <tr>
                                    <td colspan="7">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td width="18">&nbsp;</td>
                                    <td width="71" rowspan="5" valign="middle"><div align="center">
                                        <?php $pic = false;
                                  if (!empty($frow['image_id'])) {
                                    
                                    if (file_exists($image_directory . "/THUMB" . $frow['image_id'] . '.jpg')) {
                                      $img_attrs = getimagesize($image_directory . "/THUMB" . $frow['image_id'] . '.jpg');
                                      
                                      $img_height = $img_attrs[1] > $APP->member_image_thumb_width ? $APP->member_image_thumb_width : $img_attrs[1];
                                      echo '<img src="' . $image_url . "/THUMB" . $frow['image_id'] . '.jpg" border="1" width="' .  $APP->member_image_thumb_width . '" height="' . $img_height . '">';
                                      $pic = true;
                                    }
                                    
                                  } 
                                  if (!$pic) {
                                    if ($frow['who'] == 1) { ?>
                                        <img src="../images/<?php echo $_SESSION['language'] ?>/female.gif" alt="male" width="70" height="70">
                                        <?php } else if ($frow['who'] == 3) { ?>
                                        <img src="../images/<?php echo $_SESSION['language'] ?>/male.gif" alt="male" width="70" height="70">
                                        <?php } else { ?>
                                        <img src="../images/<?php echo $_SESSION['language'] ?>/couple.gif" alt="male" width="70" height="70">
                                        <?php }
                                    
               
                                  } ?>
                                    </div></td>
                                    <td width="9">&nbsp;</td>
                                    <td width="146"><table width="46" border="0" cellpadding="0" cellspacing="0" bgcolor="#000000">
                                        <tr>
                                          <td width="46"><span style="color: #FF9933;white-space:nowrap">&nbsp;<?php echo  $frow["username"]  ?></span></td>
                                        </tr>
                                    </table></td>
                                    <td width="215"><span style="color: #000000;font-weight:bold"> <?php echo COUNTRIES ?></span><span style="font-weight: bold; color: #333333;"> : </span><?php echo $frow['country'] ?> </td>
                                    <td width="37"><?php if (file_exists($APP->home_dir . '/images/Flags/' . strtolower($frow["country"]) . '.png')) {
                                   echo "<img src=\"$APP->url/images/Flags/" . strtolower($frow["country"]) . ".png\" border=\"0\">";
                                } ?>
                                    </td>
                                    <td width="10">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td><span style="color: #FFFFFF"><?php echo $frow['age'] > 0 ? $frow['age'] . ' ' . YEAR_OLD : '' ?> <?php echo $frow['who'] > 0 ? $opts_group[$frow['who']] : '' ?></span></td>
                                    <td colspan="3"><span style="color: #000000;font-weight:bold"><?php echo CITY ?></span><span style="font-weight: bold; color: #333333;"> : </span><?php echo $frow['city'] ?> <span class="smallprint"></span></td>
                                  </tr>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td><span style="color: #000000;font-weight:bold"> <?php echo HIGHT4 ?></span>:<span style="color: #FFFFFF"> </span> <?php echo $frow['height'] > 0 ? $opts_height[$frow['height']] : '' ?> </td>
                                    <td colspan="3"><span style="color: #000000;font-weight:bold; "> <?php echo LOOK_FOR ?></span><span style="font-weight: bold; color: #333333;"> : </span> <?php echo $frow['looking_for'] > 0 ? $opts_looking_for[$frow['looking_for']] : '' ?> </td>
                                  </tr>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td><span style="color: #000000;font-weight:bold;"> <?php echo EYE4 ?></span><span style="font-weight: bold; color: #333333;"> : </span> <?php echo $frow['eye_colour'] > 0 ? $opts_eye_colour[$frow['eye_colour']] : '' ?> </td>
                                    <td colspan="3" rowspan="2" valign="bottom" align="center"><table width="256" border="0" cellspacing="0">
                                        <tr>
                                          <td width="14"><img src="../images/icons/pa_profile.gif" width="14" height="16"></td>
                                          <td width="74" class="smallprint2"><a href="view_member.php?username=<?php echo urlencode($frow['username']) ?>"><?php echo SEE_PROFILE ?></a></td>
                                          <td width="64" colspan="2">&nbsp;</td>
                                        </tr>
                                    </table></td>
                                  </tr>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td><span style="color: #000000;font-weight:bold;"> <?php echo HAIR . ' ' . COLOUR ?></span><span style="font-weight: bold; color: #333333;"> : </span> <?php echo $frow['hair_colour'] > 0 ? $opts_hair_colour[$frow['hair_colour']] : '' ?> </td>
                                  </tr>
                                  <tr>
                                    <td height="18">&nbsp;</td>
                                    <td valign="middle">&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td colspan="3">&nbsp;</td>
                                  </tr>
                              </table></td>
                            </tr>
                          </table>
                          <br>
                          <?php $rows++;
                          } while (($frow = mysql_fetch_array($result)) && ($rows < $recordsPerPage));
                        } 
                      } ?>
                          <br />
                          <?php if (!isset($_GET['advanced_search'])) { ?>
                          <table width="512" align="center">
                            <tr>
                              <td width="444" class="smallprint" style="font-weight:bold"><?php echo DIDENT_FIND4 ?> <a class="text" style="font-weight:bold" href="advanced_search.php"><?php echo TRY_ADVANCED ?></a></td>
                            </tr>
                          </table>
                          <?php } ?>
                      </td>
                    </tr>
                  </table>
                  <span class="smallprint"><br>
              </span></div></td>
        </tr>
        <tr>
          <td><table width="1" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="../images/footer.gif" width="717" height="22" border="0" usemap="#Map2"></td>
              </tr>
          </table></td>
        </tr>
        <?php include './includes/bottom_menu.php' ?>
    </table></td>
  </tr>
</table>
</body>
</html>